List Calendar Events
curl --request GET \
--url https://api.attention.tech/v2/calendar_events/{user_uuid} \
--header 'Authorization: <api-key>'import requests
url = "https://api.attention.tech/v2/calendar_events/{user_uuid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.attention.tech/v2/calendar_events/{user_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pageCount": 2,
"totalRecords": 20,
"pageNumber": 1,
"pageSize": 10,
"items": [
{
"uuid": "event_123",
"summary": "Sales Team Meeting",
"description": "Weekly sales team sync",
"startTime": "2024-03-20T10:00:00Z",
"endTime": "2024-03-20T11:00:00Z",
"joinUrl": "https://zoom.us/j/123456789",
"participants": [
{
"id": "participant_123",
"email": "john.doe@example.com",
"organizer": true,
"name": "John Doe",
"status": "accepted"
}
]
}
]
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}Calendar
List Calendar Events
Returns a paginated list of calendar events from a specific user
GET
/
calendar_events
/
{user_uuid}
List Calendar Events
Authorizations
Path Parameters
User UUID
Query Parameters
Filter events starting from this date-time (inclusive)
Filter events until this date-time (inclusive)
Page number for pagination
Number of items per page
Was this page helpful?
⌘I